function res = alpha1vs2_dirsetup(whatToGet)
% Returns directory locations that depend on installation location.

% This needs to be changed, depending on where things reside.

%% Local setup

if isunix
    % Example for a Unix installation:
    RISCPROS_DATADIR    = ['/home/nieminen/stuff/work/riscpros/codes/' ...
        'branches/release_wcci2010/data']; % Data from UCI ML repo
    RISCPROS_TEMPDIR    = '/home/nieminen/files/work/tmp'; % Result dumpfiles
elseif ispc
    % Example for a Windows installation:
    RISCPROS_DATADIR    = ['u:\rp\riscpros\codes\' ...
        'branches\release_wcci2010\data']; % Data from UCI ML repo
    RISCPROS_TEMPDIR    = 'u:\wcci2010\codeRelease'; % Result dumpfiles
end



%% No need to touch the following, if only customizing install location.
if (strcmp(whatToGet, 'ucidir'))
  res = RISCPROS_DATADIR;
elseif (strcmp(whatToGet, 'tempdir'))
  res = RISCPROS_TEMPDIR;
else
  error(sprintf('Unrecognized parameter: `%s`', whatToGet));
end
