function results2 = alpha1vs2_analyzeDumpFile(...
    rawFeatures, rawLabelInts, results)
% This will re-create the experimental setups, apply a previously trained
% network to the re-created dataset, and evaluate performance of the 
% trained networks. 
%
% TODO: When you trust this to work fully, it is possible to update the
%       result saving not to include accuracies.
%
% TODO: See if this could be actually one and the same run script with
%       parameter for either train or test a net..
%

plan = results{1}.plan;  % Assume all plans are same between permutations
nperms = length(results);  % ugly.. but for some runs we had less time than was planned

for iperm = 1:nperms
    for irun = 1:plan.nruns
        fprintf(1, 'perm %d/%d run %d/%d \n',...
            iperm, nperms, irun, plan.nruns);
        for idirty = 1:numel(plan.planDirty)
            data = alpha1vs2_recreateNoisyData(...
                rawFeatures, rawLabelInts, results, iperm, idirty);
            for iregc = 1:numel(plan.planRegc)
                for ibreakpoint = 1:numel(plan.planIters)
                    for alpha = 1:2
                        % Get the original final MLP:
                        res = results{iperm}.resOfCase{idirty}{irun}{iregc}{ibreakpoint}{alpha};
                        net{alpha} = res.currentMLP;
                        % Evaluate and store accuracy measures.
                        res2 = alpha1vs2_computeAccuracies(...
                                   net{alpha}, ...
                                   data.trainV, data.prototypes(:,data.trainTi), ...
                                   data.testV, data.prototypes(:,data.testLi), ...
                                   data.prototypes);
                        results2{iperm}.resOfCase{idirty}{irun}{iregc}{ibreakpoint}{alpha} = res2;
                    end
                end
            end
        end
    end
    results2{iperm}.plan = results{iperm}.plan;
end
