function data = alpha1vs2_recreateNoisyData(...
    rawFeatures, rawLabelInts, results, iperm, idirty)
% Recreates the vectors and labels for one of our test runs; used for 
% visualizing the network actions afterwards.
%
% TODO: As an afterthought, and for future research: it may have been
%       more straightforward if we had used this kind of function to 
%       create the datas in the first place..
%

%% Recreate the permutation:
trainInd = results{iperm}.trainInd;
% testInd = results{iperm}.testInd;   % Actually, testInd is not needed,
                                      % as the test set is the complement of
                                      % the train set:
filt = repmat(true,1,numel(rawLabelInts));
filt(trainInd) = false;
testInd = 1:numel(rawLabelInts);
testInd = testInd(filt);

data.trainV = rawFeatures(:,trainInd);
data.testV = rawFeatures(:,testInd);
cleanTi = rawLabelInts(trainInd);
data.testLi = rawLabelInts(testInd);

%% Reproduce dirty train labeling:
data.trainTi = results{iperm}.trainLabelsPresented{idirty};  % This is dirtified.
data.trainWi = find(data.trainTi ~= cleanTi);  % These were indices of wrong stuff

%% Reproduce scaling: (input to [-1,1] & same scaling for test)
[data.trainV, traA, traB] = scaleCols(data.trainV,[-1 1]);
data.testV = scaleCols(data.testV,traA,traB); 

nclasses = max(data.trainTi);
data.prototypes = -1 + 2*eye(nclasses);  % Binary coding of classes
