% A "driver" for MLP mean and spatmed training; runs all
% experiments, and outputs the main results.
%
% The results are also saved in dump files, so they can be re-opened
% and analyzed afterwards.
%
% Running all experiments can take a lot of time, but you can
% select only a subset..
%

runThese = {'iris', 'wine', 'vowel', 'pen10', 'pen5', 'pen5h', 'pen5q'};
%runThese = {'iris', 'wine','pen5q'};  % The "fast", small cases

for iCase = 1:length(runThese)
    caseName = runThese{iCase};
    fprintf(1, 'Starting experiment called "%s"\n',caseName);
    
    [plan, rawFeatures, rawLabelInts, resultDumpFilename] = ...
        alpha1vs2_prepareCaseByName(caseName);

     % Check the framework only, by setting very small iteration limits:
     % plan.nruns = 1; plan.planIters = [0 10 20 20];

    alpha1vs2_runOneCase(...
        plan, rawFeatures, rawLabelInts, resultDumpFilename);
    resultDumpFilenames{iCase}=resultDumpFilename;
end

% It is done; we clear the variables we made..
clear iCase caseName plan rawFeatures rawLabelInts resultDumpFilename results

% We'll do the analysis here right now (You may want to adapt
% somehow, if you play with the codes...):
alpha1vs2_document_results
