function cm = confusionMatrixFromIndices(test_outputs, true_outputs);
% Produces a confusion matrix from encoded outputs; this requires
% the binary coding...
%
% Inputs:
%
%   test_outputs    - classification output of the MLP being verified;
%                     the output must be coded in integers 1..nclasses
%
%   true_outputs    - known true output that the guessed output is to be
%                     compared with. must be coded in integers 1..nclasses
%
% Output:
%
%   cm - the confusion matrix; on the i:th row, j:th column, you have the
%        number of items predicted in class j when the true class is i.
%        Each row will thus sum up to the number of true items in a class.
%

nclasses = max(true_outputs);  % FIXME: This requires no missing classes!

cm = zeros(nclasses,nclasses);
for ic = 1:nclasses
  for jc = 1:nclasses
    cm(ic,jc) = sum(test_outputs==ic & true_outputs==jc);
  end  
end
