function [rate, cRates] = confusionMatrix_getRates(cm)
% Returns accuracy rates, based on a pre-computed confusion matrix
%
% Inputs:
%
%   cm - the confusion matrix
%
% Outputs: 
%
%   rate - overall accuracy (correct/all)
%
%   cRates - vector of classwise accuracies (correct/all within each class)
%

rate = sum(diag(cm)) / sum(sum(cm));

if nargout==1, return, end;

cRates = zeros(size(cm,1));
for ic=1:size(cm,1)
    cRates(ic) = cm(ic,ic)/sum(cm(ic,:));
end
