function confusionMatrix_print(cm, classnames);
% Prints a confusion matrix with textual names for classes
%
%
% Inputs:
%
%   cm - the confusion matrix
%
%   classnames - names of the classes.
%

legstr = {};   % legend strings.

% find subsets of interest. The indices shall point to tx for
% training and subx for verification datas:

% true_inclass{ic}: indices of test data that SHOULD have gone to class ic
% test_inclass{ic}: indices of test data that ACTUALLY WENT to class ic
capt = '          ';
for ic = 1:length(classnames)
    capt = [capt sprintf('%10s', classnames{ic})];
end

disp(capt);

for ic = 1:length(classnames)
    s = sprintf('%10s', classnames{ic});
    for ir = 1:length(classnames)
        s = sprintf('%s%10d',s, cm(ir,ic));
    end  
    disp(s);
end
