function columns = createCirclePoints(n, radius)
% Returns a column matrix of n rimwise equidistant 2d circlepoints,
% with the given radius (distance from origin), and the first column
% equal to [0; radius]. If radius is omitted, unit circle is
% assumed.
%

if nargin==1, radius=1; end;
if n==2, columns = radius * [0 0; 1 -1]; return; end

radians = ((0:2:2*(n-1))*pi) ./ n;
columns = radius * [ sin(radians) ; ...
                     cos(radians) ];
