function dataCells = ...
                 readDelimitedAsCellArray(fname, delimiter)
% Reads an excel-exported CSV file to a big cell array of text, to be later
% interpreted as text, numerical, and timestamp values. The delimiter
% character must not occur in value fields; this provides no escape 
% mechanisms.

if nargin<2
    delimiter = ';';
end

fid = fopen(fname);
iR = 0;

while feof(fid) == 0
    iR = iR + 1;
    S = fgetl(fid);
    spl = regexp(S, delimiter, 'split');
    for iCell = 1:length(spl)
        dataCells{iR,iCell} = spl{iCell};
    end
end

fclose(fid);
