function inds = strMatchMap(stringsA,stringsB)
% Returns a mapping between exact string matches A->B in cell arrays A and B

for iA = 1:length(stringsA)
    lookFor = stringsA{iA};
    
    found = find(strcmp(lookFor,stringsB));
    count = numel(found);
    if count == 0
        warning('Match not found for %d: "%s"', iA, lookFor);
        inds(iA) = NaN;
    elseif count > 1
        warning('Multiple matches (#=%d) found for %d: "%s"', count, iA, lookFor);
        warning('Recording first match (iB=%d) only', found(1));
        inds(iA) = found(1);
    else
        inds(iA) = found;
    end
end
